#ifndef FIFO_H
#define FIFO_H
//---------------------------------------------------------------------------

class CFifo 
{
public:
			
	CFifo() {;}
	CFifo	(WORD size);
	virtual ~CFifo	(void);

	virtual bool	Put		(BYTE *data, WORD len);
	virtual WORD	GetLen	(void);
	virtual WORD	Get		(BYTE *data);

protected:
	BYTE			 *addFifo	(BYTE *put, BYTE *data, WORD len);
	BYTE			 *fromFifo	(BYTE *get, BYTE *data, WORD len);

	BYTE			 *mFifo;				// the actual buffer
	BYTE			 *mPut;					// put pointer
	BYTE			 *mGet;					// get pointer
	BYTE			 *mEnd;					// end pointer
	CRITICAL_SECTION mLock;
};

//---------------------------------------------------------------------------
#endif	

