
#ifndef NM_CODES_H
#define NM_CODES_H
//***************************************************************************

// LonWorks network managment message codes ...
#define NM_query_status				0x51
#define NM_query_status_succ		0x31
#define NM_query_status_fail		0x11

#define NM_query_id					0x61
#define NM_query_id_succ			0x21
#define NM_query_id_fail			0x01

#define NM_respond_to_query			0x62
#define NM_respond_to_query_succ	0x22
#define NM_respond_to_query_fail	0x02

#define NM_update_domain			0x63
#define NM_update_domain_succ		0x23
#define NM_update_domain_fail		0x03

#define NM_query_nv_config          0x68
#define NM_query_nv_config_succ     0x28
#define NM_query_nv_config_fail     0x08

#define NM_update_nv_config         0x6B
#define NM_update_nv_config_succ    0x2B
#define NM_update_nv_config_fail    0x0B

#define NM_set_node_mode            0x6C
#define NM_set_node_mode_succ       0x2C
#define NM_set_node_mode_fail       0x0C

#define NM_read_memory				0x6D
#define NM_read_memory_succ			0x2D
#define NM_read_memory_fail			0x0D

#define NM_write_memory				0x6E
#define NM_write_memory_succ		0x2E
#define NM_write_memory_fail		0x0E

#define NM_wink                     0x70
#define NM_wink_succ                0x30
#define NM_wink_fail                0x10

#define NM_query_snvt               0x72
#define NM_query_snvt_succ          0x32
#define NM_query_snvt_fail          0x12

#define NM_nv_fetch                 0x73
#define NM_nv_fetch_succ            0x33
#define NM_nv_fetch_fail            0x13

#define NM_update_adr	            0x66
#define NM_update_adr_succ	        0x26
#define NM_update_adr_fail	        0x06

#define NV_clear_status				0x53

#define	NM_query_addr				0x67

#define	NM_domain		  			0x6A

//***************************************************************************
#endif
