
#ifndef _YALIST_H
#define _YALIST_H

#define YALIST_API

#define YALIST_EXPORTS
/*
#ifdef YALIST_EXPORTS
#undef YALIST_API
#define YALIST_API __declspec(dllexport)
#endif

#ifdef YALIST_IMPORTS
#undef YALIST_API
#define YALIST_API  __declspec(dllimport) 
#endif
*/
//---------------------------------------------------------------------------

class YALIST_API CyaObj					// just a base; probably grows up
{
public:
	CyaObj(){};
	virtual ~CyaObj(){};
};

//---------------------------------------------------------------------------

class YALIST_API CyaList : public CyaObj
{
public:
			CyaList		();
			CyaList		(long inc);
	virtual ~CyaList	();

protected:
	CyaObj	**m_list;
	long	m_len;
	long	m_count;
	long	m_inc;

public:
	void	AddTail		(CyaObj *p);
	void	InsertAt	(long pos, CyaObj *p);
	void	SetAt		(long pos, CyaObj *p);
	CyaObj	*GetAt		(long pos);
	long	GetCount	(void);
	long	Find		(CyaObj *p);
	bool	Remove		(CyaObj *p);
	void	RemoveAt	(long pos);
	void	RemoveAll	(void);
	void	DeleteAll	(void);

	CyaList* Clone		(bool dup);
	void	Sort		(bool (*comp)( void* a, void* b ));

protected:
	bool	increase	(long inc);
	void	srt			(long p, long n, bool (*comp)( void* a, void* b ), long f);
	void	mrg			(bool (*comp)( void* a, void* b ),
						 long p1, long n1, long p2, long n2, long p ) ;
};

//---------------------------------------------------------------------------
#endif
