
#ifdef DEBUGMSG_EXPORTS
#define DEBUGMSG_API /* __declspec(dllexport) */
#else
#define DEBUGMSG_API /* __declspec(dllimport) */
#endif

DEBUGMSG_API bool DbgInit	(char *id);
DEBUGMSG_API bool DbgPrint	(char *str);

#define DBGPRINT
#define PRINTF dbgbuf, 

#ifdef DBGPRINT 
#define DEBUGINIT(id) { DbgInit(id); }
#define DEBUGPRINT(dbgcond, printf_exp) { if (dbgcond) { char dbgbuf[1024]; sprintf printf_exp; DbgPrint(dbgbuf); } }
#else
#define DEBUGINIT(id)
#define DEBUGPRINT(dbgcond, printf_exp)
#endif

#define NODEBUG_
#ifdef NODEBUG
#define DPRINTF( x )
#else
#define DPRINTF( x ) dprintf x
DEBUGMSG_API void dprintf( char* form, ... );
#endif
