
#ifndef _UTILS_H
#define _UTILS_H
//---------------------------------------------------------------------------

void	C2T	(TCHAR *a, char *b, int l = 0);
int		c2t	(TCHAR *ptStr, char *pStr, int l = 0);
void	T2C	(char *a, TCHAR *b, int l = 0);
int		t2c	(char *pStr, TCHAR *ptStr, int l = 0);

bool	streq(char *a, char *b);			// just a shortcut
bool	strieq(char *a, char *b);			// case insensitive compare
bool	strnieq(char *a, char *b, short n);	// case insensitive compare

void	setString(char **dp, char *sp);
bool	inStr(char c, char *str);
bool	my_strcpy(char *dp, unsigned short max, char *sp);
char	*my_strcpy(char *dp, char *sp);
char	*my_strncpy(char *dp, char *sp, short n);

char	*hexdump(char *dp, BYTE *sp, short n, char sep);
char	*readable(char *dp, char *sp, short n);

char	*findtoken	(char *sp, short n, char tok);
short	gettoken	(char *dp, short max, char *sp, char tok);
short	cpytoken	(char *dp, short max, char *sp, short n, char tok);
short	cpyright	(char *dp, short max, char *sp, short n, char tok);

bool	isInt(char *str);
bool	chkHex(char *str, short count);
char	nib2bin(char c);
void	htobin(char *str, BYTE *bin);

bool	CreateThread(LPVOID func, LPVOID par);
//bool	sprintfTime	(char *buf, FILETIME *ft);

//BYTE	*valPtr		(LPVARIANT v, short *len);
//bool	setVal		(LPVARIANT v, VARTYPE vt, BYTE *data, short len);
unsigned long String2Int	(char *text, int laenge);

//---------------------------------------------------------------------------

#define ALLOW_2ND_LOCK		1

class CLockCrit
{
public:
			 	CLockCrit	(CRITICAL_SECTION *hdl);
			 	CLockCrit	(CRITICAL_SECTION *hdl, int tryflag);
	virtual 	~CLockCrit	();

protected:
	CRITICAL_SECTION	*mHdl;
	static bool				allow2ndLock;
};

//---------------------------------------------------------------------------
/*
class CLockMut
{
public:
			 	CLockMut	(HANDLE hdl);
	virtual 	~CLockMut	();

protected:
	HANDLE		mHdl;
};
*/
//---------------------------------------------------------------------------
#endif
