/****************************************************************************/
/*	  File:	pers_ram.h								   $Revision: 1 $		*/
/*									    									*/
/*	  Definitionen fuer persistentes RAM									*/
/*																			*/
/* 								    										*/
/*	  VSS-comments:									   Org: 9.9.99 Sam		*/
/* 	  $Log: /Viessmann_01/SW/LdvHA/PERS_RAM.H $
 * 
 * 1     22.09.99 16:53 Samlowski
 			        														*/
/****************************************************************************/
/* (c) Copyright Gesytec GmbH 1993, 1997, 1999 All rights reserved.		    */
/****************************************************************************/

/****************************** Includes ************************************/
#ifndef PERS_RAM_H
#define PERS_RAM_H

#define	PRAM_STARTFLAGS  		1		// wegschreiben 
#define PRAM_NVCBASE		  	2		// muss persistent gespeichert werden

bool PersistWrite	( int pramid, void* src,  int len ) ;
bool PersistRead	( int pramid, void* dest, int len ) ;

//***************************************************************************
#endif
 
